package org.xbib.interlibrary.catalog.builder;

import org.xbib.interlibrary.api.action.worker.WorkerRequest;

public class StringWorkerRequest implements WorkerRequest<String> {

    private final String string;

    private final String origin;

    public StringWorkerRequest(String string, String origin) {
        this.string = string;
        this.origin = origin;
    }

    @Override
    public String getRequest() {
        return string;
    }

    @Override
    public boolean isPoison() {
        return false;
    }

    @Override
    public String getRequestOrigin() {
        return origin;
    }
}
